> **For AI agents:** this page is a focused, LLM-optimized view of a
> single Fiber AI operation. Before calling it, fetch the routing
> instructions at [`https://api.fiber.ai/llms.txt`](https://api.fiber.ai/llms.txt) and the full operation
> index at [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md).

# stealthFoundersSearch

`POST /v1/stealth-founders/search`

**Tags:** `Stealth`

Search stealth/ex-stealth founders

**Endpoint:** `https://api.fiber.ai/v1/stealth-founders/search`

## Description

Find stealth founders — people currently at stealth-mode companies, or who recently left stealth (launched). Supports profile search filters to narrow results by location, keywords, job history, education, and more.

⚡ Rate limit: 120 requests per 1 minute

💰 Cost: 1 credit per profile found ⓘ

## Request body (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "apiKey": {
      "type": "string",
      "description": "Your Fiber API key"
    },
    "stealthConfig": {
      "oneOf": [
        {
          "type": "object",
          "properties": {
            "mode": {
              "type": "string",
              "description": "Find people currently in stealth. Optional enteredStealthAt narrows by entry date.",
              "enum": [
                "in-stealth"
              ]
            },
            "enteredStealthAt": {
              "oneOf": [
                {
                  "type": "object",
                  "properties": {
                    "strategy": {
                      "type": "string",
                      "enum": [
                        "absolute"
                      ]
                    },
                    "range": {
                      "type": [
                        "object",
                        "null"
                      ],
                      "properties": {
                        "lowerBound": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "upperBound": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    }
                  },
                  "required": [
                    "strategy"
                  ]
                },
                {
                  "type": "object",
                  "properties": {
                    "strategy": {
                      "type": "string",
                      "enum": [
                        "relative"
                      ]
                    },
                    "window": {
                      "oneOf": [
                        {
                          "type": "object",
                          "properties": {
                            "method": {
                              "type": "string",
                              "enum": [
                                "within"
                              ]
                            },
                            "period": {
                              "type": "string",
                              "enum": [
                                "day",
                                "week",
                                "month",
                                "quarter",
                                "year"
                              ]
                            },
                            "lowerBound": {
                              "type": [
                                "integer",
                                "null"
                              ],
                              "minimum": 0
                            },
                            "upperBound": {
                              "type": [
                                "integer",
                                "null"
                              ],
                              "minimum": 0
                            }
                          },
                          "required": [
                            "method",
                            "period"
                          ]
                        },
                        {
                          "type": "object",
                          "properties": {
                            "method": {
                              "type": "string",
                              "enum": [
                                "calendar"
                              ]
                            },
                            "which": {
                              "type": "string",
                              "enum": [
                                "current",
                                "previous"
                              ]
                            },
                            "period": {
                              "type": "string",
                              "enum": [
                                "day",
                                "week",
                                "month",
                                "quarter",
                                "year"
                              ]
                            }
                          },
                          "required": [
                            "method",
                            "which",
                            "period"
                          ]
                        },
                        {
                          "type": "null"
                        }
                      ]
                    }
                  },
                  "required": [
                    "strategy"
                  ]
                },
                {
                  "type": "null"
                }
              ],
              "description": "Date selection for when people entered stealth. Supports absolute or relative windows."
            }
          },
          "required": [
            "mode"
          ],
          "additionalProperties": false
        },
        {
          "type": "object",
          "properties": {
            "mode": {
              "type": "string",
              "description": "Find people who recently exited stealth. leftStealthAt defaults to the last year when omitted.",
              "enum": [
                "left-stealth"
              ]
            },
            "enteredStealthAt": {
              "oneOf": [
                {
                  "type": "object",
                  "properties": {
                    "strategy": {
                      "type": "string",
                      "enum": [
                        "absolute"
                      ]
                    },
                    "range": {
                      "type": [
                        "object",
                        "null"
                      ],
                      "properties": {
                        "lowerBound": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "upperBound": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    }
                  },
                  "required": [
                    "strategy"
                  ]
                },
                {
                  "type": "object",
                  "properties": {
                    "strategy": {
                      "type": "string",
                      "enum": [
                        "relative"
                      ]
                    },
                    "window": {
                      "oneOf": [
                        {
                          "type": "object",
                          "properties": {
                            "method": {
                              "type": "string",
                              "enum": [
                                "within"
                              ]
                            },
                            "period": {
                              "type": "string",
                              "enum": [
                                "day",
                                "week",
                                "month",
                                "quarter",
                                "year"
                              ]
                            },
                            "lowerBound": {
                              "type": [
                                "integer",
                                "null"
                              ],
                              "minimum": 0
                            },
                            "upperBound": {
                              "type": [
                                "integer",
                                "null"
                              ],
                              "minimum": 0
                            }
                          },
                          "required": [
                            "method",
                            "period"
                          ]
                        },
                        {
                          "type": "object",
                          "properties": {
                            "method": {
                              "type": "string",
                              "enum": [
                                "calendar"
                              ]
                            },
                            "which": {
                              "type": "string",
                              "enum": [
                                "current",
                                "previous"
                              ]
                            },
                            "period": {
                              "type": "string",
                              "enum": [
                                "day",
                                "week",
                                "month",
                                "quarter",
                                "year"
                              ]
                            }
                          },
                          "required": [
                            "method",
                            "which",
                            "period"
                          ]
                        },
                        {
                          "type": "null"
                        }
                      ]
                    }
                  },
                  "required": [
                    "strategy"
                  ]
                },
                {
                  "type": "null"
                }
              ],
              "description": "Optional date selection for when people entered stealth."
            },
            "leftStealthAt": {
              "oneOf": [
                {
                  "type": "object",
                  "properties": {
                    "strategy": {
                      "type": "string",
                      "enum": [
                        "absolute"
                      ]
                    },
                    "range": {
                      "type": [
                        "object",
                        "null"
                      ],
                      "properties": {
                        "lowerBound": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "upperBound": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    }
                  },
                  "required": [
                    "strategy"
                  ]
                },
                {
                  "type": "object",
                  "properties": {
                    "strategy": {
                      "type": "string",
                      "enum": [
                        "relative"
                      ]
                    },
                    "window": {
                      "oneOf": [
                        {
                          "type": "object",
                          "properties": {
                            "method": {
                              "type": "string",
                              "enum": [
                                "within"
                              ]
                            },
                            "period": {
                              "type": "string",
                              "enum": [
                                "day",
                                "week",
                                "month",
                                "quarter",
                                "year"
                              ]
                            },
                            "lowerBound": {
                              "type": [
                                "integer",
                                "null"
                              ],
                              "minimum": 0
                            },
                            "upperBound": {
                              "type": [
                                "integer",
                                "null"
                              ],
                              "minimum": 0
                            }
                          },
                          "required": [
                            "method",
                            "period"
                          ]
                        },
                        {
                          "type": "object",
                          "properties": {
                            "method": {
                              "type": "string",
                              "enum": [
                                "calendar"
                              ]
                            },
                            "which": {
                              "type": "string",
                              "enum": [
                                "current",
                                "previous"
                              ]
                            },
                            "period": {
                              "type": "string",
                              "enum": [
                                "day",
                                "week",
                                "month",
                                "quarter",
                                "year"
                              ]
                            }
                          },
                          "required": [
                            "method",
                            "which",
                            "period"
                          ]
                        },
                        {
                          "type": "null"
                        }
                      ]
                    }
                  },
                  "required": [
                    "strategy"
                  ]
                },
                {
                  "type": "null"
                }
              ],
              "default": {
                "strategy": "relative",
                "window": {
                  "method": "within",
                  "period": "year",
                  "lowerBound": 0,
                  "upperBound": 1
                }
              },
              "description": "Date selection for when people exited stealth. Defaults to the last year when omitted."
            }
          },
          "required": [
            "mode"
          ],
          "additionalProperties": false
        }
      ],
      "description": "Stealth mode configuration. Use in-stealth for current stealth founders, or left-stealth for exited stealth founders."
    },
    "searchParams": {
      "type": "object",
      "properties": {
        "country3LetterCode": {
          "type": [
            "object",
            "null"
          ],
          "properties": {
            "anyOf": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "type": "string",
                "enum": [
                  "USA",
                  "GBR",
                  "FRA",
                  "IND",
                  "BRA",
                  "DEU",
                  "ESP",
                  "CAN",
                  "AUS",
                  "NLD",
                  "ITA",
                  "ZAF",
                  "BEL",
                  "CHN",
                  "TUR",
                  "MEX",
                  "CHE",
                  "NOR",
                  "ARE",
                  "SWE",
                  "POL",
                  "IDN",
                  "ARG",
                  "PRT",
                  "COL",
                  "CHL",
                  "PAK",
                  "DNK",
                  "JPN",
                  "NGA",
                  "SGP",
                  "PER",
                  "NZL",
                  "AUT",
                  "IRL",
                  "MYS",
                  "BGD",
                  "EGY",
                  "ISR",
                  "SAU",
                  "PHL",
                  "FIN",
                  "IRN",
                  "ROU",
                  "CZE",
                  "GRC",
                  "HKG",
                  "HUN",
                  "KEN",
                  "MAR",
                  "VNM",
                  "RUS",
                  "UKR",
                  "ECU",
                  "THA",
                  "LKA",
                  "KOR",
                  "BGR",
                  "GHA",
                  "SRB",
                  "TWN",
                  "HRV",
                  "LTU",
                  "PRI",
                  "SVK",
                  "TUN",
                  "EST",
                  "VEN",
                  "CRI",
                  "PAN",
                  "URY",
                  "LBN",
                  "LUX",
                  "CYP",
                  "NPL",
                  "JOR",
                  "SVN",
                  "MTQ",
                  "QAT",
                  "GLP",
                  "UGA",
                  "DZA",
                  "GTM",
                  "CMR",
                  "LVA",
                  "DOM",
                  "AZE",
                  "GEO",
                  "SEN",
                  "TZA",
                  "ZWE",
                  "KWT",
                  "MLT",
                  "OMN",
                  "BOL",
                  "SLV",
                  "ARM",
                  "PRY",
                  "IRQ",
                  "KHM",
                  "BIH",
                  "AGO",
                  "BHR",
                  "ALB",
                  "KAZ",
                  "CIV",
                  "ETH",
                  "MUS",
                  "ZMB",
                  "MKD",
                  "COD",
                  "BLR",
                  "MOZ",
                  "REU",
                  "TTO",
                  "GUF",
                  "ISL",
                  "MMR",
                  "HND",
                  "RWA",
                  "MDG",
                  "BEN",
                  "UZB",
                  "NAM",
                  "BWA",
                  "MDA",
                  "JEY",
                  "NIC",
                  "SDN",
                  "JAM",
                  "IMN",
                  "BFA",
                  "MNG",
                  "MNE",
                  "MCO",
                  "TGO",
                  "AFG",
                  "LBY",
                  "XKX",
                  "CYM",
                  "MWI",
                  "SOM",
                  "PNG",
                  "MDV",
                  "MLI",
                  "GIN",
                  "PSE",
                  "GAB",
                  "LIE",
                  "HTI",
                  "SYR",
                  "BRB",
                  "YEM",
                  "GGY",
                  "NCL",
                  "AND",
                  "SUR",
                  "MYT",
                  "KGZ",
                  "BHS",
                  "GIB",
                  "COG",
                  "FJI",
                  "BLM",
                  "CUW",
                  "CUB",
                  "SLE",
                  "BLZ",
                  "NER",
                  "LBR",
                  "VIR",
                  "PYF",
                  "GUM",
                  "MRT",
                  "ABW",
                  "SYC",
                  "GUY",
                  "LSO",
                  "SWZ",
                  "SSD",
                  "LCA",
                  "MAC",
                  "SMR",
                  "LAO",
                  "BRN",
                  "TCD",
                  "BMU",
                  "VGB",
                  "PRK",
                  "BTN",
                  "BDI",
                  "FRO",
                  "TJK",
                  "GMB",
                  "STP",
                  "ANT",
                  "VCT",
                  "DJI",
                  "CPV",
                  "TKM",
                  "ATG",
                  "TCA",
                  "KNA",
                  "GRD",
                  "ASM",
                  "VUT",
                  "GNQ",
                  "GRL",
                  "SXM",
                  "MNP",
                  "COM",
                  "TLS",
                  "SJM",
                  "CAF",
                  "DMA",
                  "MAF",
                  "WSM",
                  "BES",
                  "MHL",
                  "AIA",
                  "TON",
                  "COK",
                  "SLB",
                  "SPM",
                  "GNB",
                  "ATA",
                  "TUV",
                  "ALA",
                  "IOT",
                  "ERI",
                  "PLW",
                  "FSM",
                  "NRU",
                  "PCN",
                  "FLK",
                  "MSR",
                  "VAT",
                  "KIR",
                  "SHN",
                  "NIU",
                  "WLF",
                  "HMD",
                  "CXR",
                  "NFK",
                  "ATF",
                  "CCK",
                  "SGS",
                  "BVT",
                  "UMI",
                  "ESH",
                  "TKL",
                  "X-SOUTH_ASIA",
                  "X-SOUTH_EAST_EUROPE",
                  "X-NORTHERN_AFRICA",
                  "X-PACIFIC",
                  "X-SOUTH_WEST_EUROPE",
                  "X-SOUTHERN_AFRICA",
                  "X-WEST_INDIES",
                  "X-SOUTH_AMERICA",
                  "X-SOUTH_WEST_ASIA",
                  "X-CENTRAL_EUROPE",
                  "X-EASTERN_EUROPE",
                  "X-WESTERN_EUROPE",
                  "X-CENTRAL_AMERICA",
                  "X-WESTERN_AFRICA",
                  "X-SOUTH_ATLANTIC_OCEAN",
                  "X-SOUTH_EAST_ASIA",
                  "X-CENTRAL_AFRICA",
                  "X-NORTH_AMERICA",
                  "X-EAST_ASIA",
                  "X-NORTHERN_EUROPE",
                  "X-EASTERN_AFRICA",
                  "X-SOUTHERN_INDIAN_OCEAN",
                  "X-SOUTHERN_EUROPE",
                  "X-CENTRAL_ASIA",
                  "X-NORTHERN_ASIA",
                  "X-ASIA",
                  "X-EUROPE",
                  "X-AFRICA",
                  "X-OCEANIA",
                  "X-AMERICAS",
                  "X-ANTARCTICA",
                  "X-ATLANTIC_OCEAN",
                  "X-INDIAN_OCEAN",
                  "X-MIDDLE_EAST",
                  "X-MENA",
                  "X-EMEA",
                  "X-EUROPEAN_UNION",
                  "X-EFTA",
                  "X-APAC",
                  "X-LATAM",
                  "X-ANGLOSPHERE",
                  "X-DACH",
                  "X-NORDICS",
                  "X-BENELUX",
                  "X-GCC",
                  "X-BRICS",
                  "X-G20",
                  "X-OECD",
                  "X-SANCTIONED"
                ]
              }
            },
            "noneOf": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "type": "string",
                "enum": [
                  "USA",
                  "GBR",
                  "FRA",
                  "IND",
                  "BRA",
                  "DEU",
                  "ESP",
                  "CAN",
                  "AUS",
                  "NLD",
                  "ITA",
                  "ZAF",
                  "BEL",
                  "CHN",
                  "TUR",
                  "MEX",
                  "CHE",
                  "NOR",
                  "ARE",
                  "SWE",
                  "POL",
                  "IDN",
                  "ARG",
                  "PRT",
                  "COL",
                  "CHL",
                  "PAK",
                  "DNK",
                  "JPN",
                  "NGA",
                  "SGP",
                  "PER",
                  "NZL",
                  "AUT",
                  "IRL",
                  "MYS",
                  "BGD",
                  "EGY",
                  "ISR",
                  "SAU",
                  "PHL",
                  "FIN",
                  "IRN",
                  "ROU",
                  "CZE",
                  "GRC",
                  "HKG",
                  "HUN",
                  "KEN",
                  "MAR",
                  "VNM",
                  "RUS",
                  "UKR",
                  "ECU",
                  "THA",
                  "LKA",
                  "KOR",
                  "BGR",
                  "GHA",
                  "SRB",
                  "TWN",
                  "HRV",
                  "LTU",
                  "PRI",
                  "SVK",
                  "TUN",
                  "EST",
                  "VEN",
                  "CRI",
                  "PAN",
                  "URY",
                  "LBN",
                  "LUX",
                  "CYP",
                  "NPL",
                  "JOR",
                  "SVN",
                  "MTQ",
                  "QAT",
                  "GLP",
                  "UGA",
                  "DZA",
                  "GTM",
                  "CMR",
                  "LVA",
                  "DOM",
                  "AZE",
                  "GEO",
                  "SEN",
                  "TZA",
                  "ZWE",
                  "KWT",
                  "MLT",
                  "OMN",
                  "BOL",
                  "SLV",
                  "ARM",
                  "PRY",
                  "IRQ",
                  "KHM",
                  "BIH",
                  "AGO",
                  "BHR",
                  "ALB",
                  "KAZ",
                  "CIV",
                  "ETH",
                  "MUS",
                  "ZMB",
                  "MKD",
                  "COD",
                  "BLR",
                  "MOZ",
                  "REU",
                  "TTO",
                  "GUF",
                  "ISL",
                  "MMR",
                  "HND",
                  "RWA",
                  "MDG",
                  "BEN",
                  "UZB",
                  "NAM",
                  "BWA",
                  "MDA",
                  "JEY",
                  "NIC",
                  "SDN",
                  "JAM",
                  "IMN",
                  "BFA",
                  "MNG",
                  "MNE",
                  "MCO",
                  "TGO",
                  "AFG",
                  "LBY",
                  "XKX",
                  "CYM",
                  "MWI",
                  "SOM",
                  "PNG",
                  "MDV",
                  "MLI",
                  "GIN",
                  "PSE",
                  "GAB",
                  "LIE",
                  "HTI",
                  "SYR",
                  "BRB",
                  "YEM",
                  "GGY",
                  "NCL",
                  "AND",
                  "SUR",
                  "MYT",
                  "KGZ",
                  "BHS",
                  "GIB",
                  "COG",
                  "FJI",
                  "BLM",
                  "CUW",
                  "CUB",
                  "SLE",
                  "BLZ",
                  "NER",
                  "LBR",
                  "VIR",
                  "PYF",
                  "GUM",
                  "MRT",
                  "ABW",
                  "SYC",
                  "GUY",
                  "LSO",
                  "SWZ",
                  "SSD",
                  "LCA",
                  "MAC",
                  "SMR",
                  "LAO",
                  "BRN",
                  "TCD",
                  "BMU",
                  "VGB",
                  "PRK",
                  "BTN",
                  "BDI",
                  "FRO",
                  "TJK",
                  "GMB",
                  "STP",
                  "ANT",
                  "VCT",
                  "DJI",
                  "CPV",
                  "TKM",
                  "ATG",
                  "TCA",
                  "KNA",
                  "GRD",
                  "ASM",
                  "VUT",
                  "GNQ",
                  "GRL",
                  "SXM",
                  "MNP",
                  "COM",
                  "TLS",
                  "SJM",
                  "CAF",
                  "DMA",
                  "MAF",
                  "WSM",
                  "BES",
                  "MHL",
                  "AIA",
                  "TON",
                  "COK",
                  "SLB",
                  "SPM",
                  "GNB",
                  "ATA",
                  "TUV",
                  "ALA",
                  "IOT",
                  "ERI",
                  "PLW",
                  "FSM",
                  "NRU",
                  "PCN",
                  "FLK",
                  "MSR",
                  "VAT",
                  "KIR",
                  "SHN",
                  "NIU",
                  "WLF",
                  "HMD",
                  "CXR",
                  "NFK",
                  "ATF",
                  "CCK",
                  "SGS",
                  "BVT",
                  "UMI",
                  "ESH",
                  "TKL",
                  "X-SOUTH_ASIA",
                  "X-SOUTH_EAST_EUROPE",
                  "X-NORTHERN_AFRICA",
                  "X-PACIFIC",
                  "X-SOUTH_WEST_EUROPE",
                  "X-SOUTHERN_AFRICA",
                  "X-WEST_INDIES",
                  "X-SOUTH_AMERICA",
                  "X-SOUTH_WEST_ASIA",
                  "X-CENTRAL_EUROPE",
                  "X-EASTERN_EUROPE",
                  "X-WESTERN_EUROPE",
                  "X-CENTRAL_AMERICA",
                  "X-WESTERN_AFRICA",
                  "X-SOUTH_ATLANTIC_OCEAN",
                  "X-SOUTH_EAST_ASIA",
                  "X-CENTRAL_AFRICA",
                  "X-NORTH_AMERICA",
                  "X-EAST_ASIA",
                  "X-NORTHERN_EUROPE",
                  "X-EASTERN_AFRICA",
                  "X-SOUTHERN_INDIAN_OCEAN",
                  "X-SOUTHERN_EUROPE",
                  "X-CENTRAL_ASIA",
                  "X-NORTHERN_ASIA",
                  "X-ASIA",
                  "X-EUROPE",
                  "X-AFRICA",
                  "X-OCEANIA",
                  "X-AMERICAS",
                  "X-ANTARCTICA",
                  "X-ATLANTIC_OCEAN",
                  "X-INDIAN_OCEAN",
                  "X-MIDDLE_EAST",
                  "X-MENA",
                  "X-EMEA",
                  "X-EUROPEAN_UNION",
                  "X-EFTA",
                  "X-APAC",
                  "X-LATAM",
                  "X-ANGLOSPHERE",
                  "X-DACH",
                  "X-NORDICS",
                  "X-BENELUX",
                  "X-GCC",
                  "X-BRICS",
                  "X-G20",
                  "X-OECD",
                  "X-SANCTIONED"
                ]
              }
            }
          }
        },
        "numConnections": {
          "type": [
            "object",
            "null"
          ],
          "properties": {
            "lowerBound": {
              "type": [
                "number",
                "null"
              ]
            },
            "upperBound": {
              "type": [
                "number",
                "null"
              ]
            }
          }
        },
        "numFollowers": {
          "type": [
            "object",
            "null"
          ],
          "properties": {
            "lowerBound": {
              "type": [
                "number",
                "null"
              ]
            },
            "upperBound": {
              "type": [
                "number",
                "null"
              ]
            }
          }
        },
        "approxAge": {
          "type": [
            "object",
            "null"
          ],
          "properties": {
            "lowerBound": {
              "type": [
                "number",
                "null"
              ]
            },
            "upperBound": {
              "type": [
                "number",
                "null"
              ]
            }
          }
        },
        "keywords": {
          "type": [
            "object",
            "null"
          ],
          "properties": {
            "containsAll": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "type": "string"
              }
            },
            "containsAny": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "type": "string"
              }
            },
            "containsNone": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "type": "string"
              }
            }
          }
        },
        "keywordsV2": {
          "type": [
            "object",
            "null"
          ],
          "properties": {
            "operator": {
              "type": "string",
              "enum": [
                "AND",
                "OR"
              ],
              "default": "AND"
            },
            "clauses": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "operator": {
                    "type": "string",
                    "enum": [
                      "AND",
                      "OR"
                    ],
                    "default": "OR"
                  },
                  "terms": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    },
                    "minItems": 1
                  },
                  "negate": {
                    "type": "boolean",
                    "default": false
                  }
                },
                "required": [
                  "terms"
                ]
              },
              "minItems": 1
            },
            "options": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "fieldsToSearchOver": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "summary": {
                      "type": "boolean",
                      "default": true
                    },
                    "headline": {
                      "type": "boolean",
                      "default": true
                    },
                    "pastJobTitles": {
                      "type": "boolean",
                      "default": true
                    },
                    "pastJobSummaries": {
                      "type": "boolean",
                      "default": true
                    },
                    "pastCompanyNames": {
                      "type": "boolean",
                      "default": true
                    },
                    "currentJobTitles": {
                      "type": "boolean",
                      "default": true
                    },
                    "currentJobSummaries": {
                      "type": "boolean",
                      "default": true
                    },
                    "currentCompanyNames": {
                      "type": "boolean",
                      "default": true
                    },
                    "interests": {
                      "type": "boolean",
                      "default": true
                    },
                    "skills": {
                      "type": "boolean",
                      "default": true
                    },
                    "industry": {
                      "type": "boolean",
                      "default": true
                    },
                    "education": {
                      "type": "boolean",
                      "default": true
                    },
                    "publications": {
                      "type": "boolean",
                      "default": true
                    },
                    "certifications": {
                      "type": "boolean",
                      "default": true
                    },
                    "articles": {
                      "type": "boolean",
                      "default": true
                    },
                    "courses": {
                      "type": "boolean",
                      "default": true
                    },
                    "projects": {
                      "type": "boolean",
                      "default": true
                    },
                    "patents": {
                      "type": "boolean",
                      "default": true
                    },
                    "volunteering": {
                      "type": "boolean",
                      "default": false
                    },
                    "languages": {
                      "type": "boolean",
                      "default": false
                    }
                  }
                }
              }
            }
          },
          "required": [
            "clauses"
          ]
        },
        "keywordSearchOptions": {
          "type": [
            "object",
            "null"
          ],
          "properties": {
            "fieldsToSearchOver": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "summary": {
                  "type": "boolean",
                  "default": true
                },
                "headline": {
                  "type": "boolean",
                  "default": true
                },
                "pastJobTitles": {
                  "type": "boolean",
                  "default": true
                },
                "pastJobSummaries": {
                  "type": "boolean",
                  "default": true
                },
                "pastCompanyNames": {
                  "type": "boolean",
                  "default": true
                },
                "currentJobTitles": {
                  "type": "boolean",
                  "default": true
                },
                "currentJobSummaries": {
                  "type": "boolean",
                  "default": true
                },
                "currentCompanyNames": {
                  "type": "boolean",
                  "default": true
                },
                "interests": {
                  "type": "boolean",
                  "default": true
                },
                "skills": {
                  "type": "boolean",
                  "default": true
                },
                "industry": {
                  "type": "boolean",
                  "default": true
                },
                "education": {
                  "type": "boolean",
                  "default": true
                },
                "publications": {
                  "type": "boolean",
                  "default": true
                },
                "certifications": {
                  "type": "boolean",
                  "default": true
                },
                "articles": {
                  "type": "boolean",
                  "default": true
                },
                "courses": {
                  "type": "boolean",
                  "default": true
                },
                "projects": {
                  "type": "boolean",
                  "default": true
                },
                "patents": {
                  "type": "boolean",
                  "default": true
                },
                "volunteering": {
                  "type": "boolean",
                  "default": false
                },
                "languages": {
                  "type": "boolean",
                  "default": false
                }
              }
            }
          }
        },
        "jobTitleV2": {
          "type": [
            "object",
            "null"
          ],
          "properties": {
            "anyOf": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "oneOf": [
                  {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "term"
                        ]
                      },
                      "term": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "type",
                      "term"
                    ]
                  },
                  {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "static-groups"
                        ]
                      },
                      "groups": {
                        "type": "array",
                        "items": {
                          "type": "string",
                          "enum": [
                            "founder",
                            "c-suite",
                            "board-member"
                          ]
                        }
                      }
                    },
                    "required": [
                      "type",
                      "groups"
                    ]
                  },
                  {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "dynamic-groups"
                        ]
                      },
                      "groups": {
                        "type": "array",
                        "items": {
                          "type": "string",
                          "enum": [
                            "vp",
                            "director",
                            "management",
                            "entry-level",
                            "assistant",
                            "intern"
                          ]
                        }
                      },
                      "keywords": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        },
                        "default": []
                      }
                    },
                    "required": [
                      "type",
                      "groups"
                    ]
                  }
                ]
              }
            },
            "noneOf": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "oneOf": [
                  {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "term"
                        ]
                      },
                      "term": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "type",
                      "term"
                    ]
                  },
                  {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "static-groups"
                        ]
                      },
                      "groups": {
                        "type": "array",
                        "items": {
                          "type": "string",
                          "enum": [
                            "founder",
                            "c-suite",
                            "board-member"
                          ]
                        }
                      }
                    },
                    "required": [
                      "type",
                      "groups"
                    ]
                  },
                  {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "dynamic-groups"
                        ]
                      },
                      "groups": {
                        "type": "array",
                        "items": {
                          "type": "string",
                          "enum": [
                            "vp",
                            "director",
                            "management",
                            "entry-level",
                            "assistant",
                            "intern"
                          ]
                        }
                      },
                      "keywords": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        },
                        "default": []
                      }
                    },
                    "required": [
                      "type",
                      "groups"
                    ]
                  }
                ]
              }
            },
            "allOf": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "oneOf": [
                  {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "term"
                        ]
                      },
                      "term": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "type",
                      "term"
                    ]
                  },
                  {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "static-groups"
                        ]
                      },
                      "groups": {
                        "type": "array",
                        "items": {
                          "type": "string",
                          "enum": [
                            "founder",
                            "c-suite",
                            "board-member"
                          ]
                        }
                      }
                    },
                    "required": [
                      "type",
                      "groups"
                    ]
                  },
                  {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "dynamic-groups"
                        ]
                      },
                      "groups": {
                        "type": "array",
                        "items": {
                          "type": "string",
                          "enum": [
                            "vp",
                            "director",
                            "management",
                            "entry-level",
                            "assistant",
                            "intern"
                          ]
                        }
                      },
                      "keywords": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        },
                        "default": []
                      }
                    },
                    "required": [
                      "type",
                      "groups"
                    ]
                  }
                ]
              }
            }
          }
        },
        "exactProfileV2": {
          "type": [
            "object",
            "null"
          ],
          "properties": {
            "anyOf": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "oneOf": [
                  {
                    "type": "object",
                    "properties": {
                      "identifier": {
                        "type": "string",
                        "enum": [
                          "linkedin-slug"
                        ]
                      },
                      "linkedin_slug": {
                        "type": "string",
                        "minLength": 1
                      }
                    },
                    "required": [
                      "identifier",
                      "linkedin_slug"
                    ]
                  },
                  {
                    "type": "object",
                    "properties": {
                      "identifier": {
                        "type": "string",
                        "enum": [
                          "linkedin-url"
                        ]
                      },
                      "linkedin_url": {
                        "type": "string",
                        "format": "uri"
                      }
                    },
                    "required": [
                      "identifier",
                      "linkedin_url"
                    ]
                  },
                  {
                    "type": "object",
                    "properties": {
                      "identifier": {
                        "type": "string",
                        "enum": [
                          "linkedin-user-id"
                        ]
                      },
                      "user_id": {
                        "type": "string",
                        "pattern": "^[0-9]+$",
                        "minLength": 1
                      }
                    },
                    "required": [
                      "identifier",
                      "user_id"
                    ]
                  }
                ]
              }
            },
            "noneOf": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "oneOf": [
                  {
                    "type": "object",
                    "properties": {
                      "identifier": {
                        "type": "string",
                        "enum": [
                          "linkedin-slug"
                        ]
                      },
                      "linkedin_slug": {
                        "type": "string",
                        "minLength": 1
                      }
                    },
                    "required": [
                      "identifier",
                      "linkedin_slug"
                    ]
                  },
                  {
                    "type": "object",
                    "properties": {
                      "identifier": {
                        "type": "string",
                        "enum": [
                          "linkedin-url"
                        ]
                      },
                      "linkedin_url": {
                        "type": "string",
                        "format": "uri"
                      }
                    },
                    "required": [
                      "identifier",
                      "linkedin_url"
                    ]
                  },
                  {
                    "type": "object",
                    "properties": {
                      "identifier": {
                        "type": "string",
                        "enum": [
                          "linkedin-user-id"
                        ]
                      },
                      "user_id": {
                        "type": "string",
                        "pattern": "^[0-9]+$",
                        "minLength": 1
                      }
                    },
                    "required": [
                      "identifier",
                      "user_id"
                    ]
                  }
                ]
              }
            }
          }
        },
        "startedInRole": {
          "oneOf": [
            {
              "type": "object",
              "properties": {
                "strategy": {
                  "type": "string",
                  "enum": [
                    "absolute"
                  ]
                },
                "range": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "lowerBound": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "upperBound": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                }
              },
              "required": [
                "strategy"
              ]
            },
            {
              "type": "object",
              "properties": {
                "strategy": {
                  "type": "string",
                  "enum": [
                    "relative"
                  ]
                },
                "window": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "method": {
                          "type": "string",
                          "enum": [
                            "lastN"
                          ]
                        },
                        "period": {
                          "type": "string",
                          "enum": [
                            "day",
                            "week",
                            "month",
                            "quarter",
                            "year"
                          ]
                        },
                        "quantity": {
                          "type": "number",
                          "minimum": 1
                        }
                      },
                      "required": [
                        "method",
                        "period",
                        "quantity"
                      ]
                    },
                    {
                      "type": "object",
                      "properties": {
                        "method": {
                          "type": "string",
                          "enum": [
                            "within"
                          ]
                        },
                        "period": {
                          "type": "string",
                          "enum": [
                            "day",
                            "week",
                            "month",
                            "quarter",
                            "year"
                          ]
                        },
                        "lowerBound": {
                          "type": [
                            "number",
                            "null"
                          ]
                        },
                        "upperBound": {
                          "type": [
                            "number",
                            "null"
                          ]
                        }
                      },
                      "required": [
                        "method",
                        "period"
                      ]
                    },
                    {
                      "type": "object",
                      "properties": {
                        "method": {
                          "type": "string",
                          "enum": [
                            "calendar"
                          ]
                        },
                        "which": {
                          "type": "string",
                          "enum": [
                            "current",
                            "previous"
                          ]
                        },
                        "period": {
                          "type": "string",
                          "enum": [
                            "day",
                            "week",
                            "month",
                            "quarter",
                            "year"
                          ]
                        }
                      },
                      "required": [
                        "method",
                        "which",
                        "period"
                      ]
                    },
                    {
                      "type": "null"
                    }
                  ]
                }
              },
              "required": [
                "strategy"
              ]
            },
            {
              "type": "null"
            }
          ]
        },
        "startedAtCompany": {
          "oneOf": [
            {
              "type": "object",
              "properties": {
                "strategy": {
                  "type": "string",
                  "enum": [
                    "absolute"
                  ]
                },
                "range": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "lowerBound": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "upperBound": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                }
              },
              "required": [
                "strategy"
              ]
            },
            {
              "type": "object",
              "properties": {
                "strategy": {
                  "type": "string",
                  "enum": [
                    "relative"
                  ]
                },
                "window": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "method": {
                          "type": "string",
                          "enum": [
                            "lastN"
                          ]
                        },
                        "period": {
                          "type": "string",
                          "enum": [
                            "day",
                            "week",
                            "month",
                            "quarter",
                            "year"
                          ]
                        },
                        "quantity": {
                          "type": "number",
                          "minimum": 1
                        }
                      },
                      "required": [
                        "method",
                        "period",
                        "quantity"
                      ]
                    },
                    {
                      "type": "object",
                      "properties": {
                        "method": {
                          "type": "string",
                          "enum": [
                            "within"
                          ]
                        },
                        "period": {
                          "type": "string",
                          "enum": [
                            "day",
                            "week",
                            "month",
                            "quarter",
                            "year"
                          ]
                        },
                        "lowerBound": {
                          "type": [
                            "number",
                            "null"
                          ]
                        },
                        "upperBound": {
                          "type": [
                            "number",
                            "null"
                          ]
                        }
                      },
                      "required": [
                        "method",
                        "period"
                      ]
                    },
                    {
                      "type": "object",
                      "properties": {
                        "method": {
                          "type": "string",
                          "enum": [
                            "calendar"
                          ]
                        },
                        "which": {
                          "type": "string",
                          "enum": [
                            "current",
                            "previous"
                          ]
                        },
                        "period": {
                          "type": "string",
                          "enum": [
                            "day",
                            "week",
                            "month",
                            "quarter",
                            "year"
                          ]
                        }
                      },
                      "required": [
                        "method",
                        "which",
                        "period"
                      ]
                    },
                    {
                      "type": "null"
                    }
                  ]
                }
              },
              "required": [
                "strategy"
              ]
            },
            {
              "type": "null"
            }
          ]
        },
        "location": {
          "type": [
            "object",
            "null"
          ],
          "properties": {
            "unionAll": {
              "type": [
                "array",
                "null"
              ],
              "items": {
                "oneOf": [
                  {
                    "type": "object",
                    "properties": {
                      "strategy": {
                        "type": "string",
                        "enum": [
                          "radial-distance"
                        ]
                      },
                      "center": {
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "address": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "latitude": {
                            "type": "number",
                            "minimum": -90,
                            "maximum": 90
                          },
                          "longitude": {
                            "type
… _truncated to 65536 chars for ai-docs._
```

## Response — success (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "output": {
      "type": "object",
      "properties": {
        "data": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "profile": {
                "type": "object",
                "properties": {
                  "user_id": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "primary_slug": {
                    "type": "string"
                  },
                  "first_name": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "last_name": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "name": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "headline": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "profile_pic": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "locality": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "inferred_location": {
                    "type": [
                      "object",
                      "null"
                    ],
                    "properties": {
                      "street_address": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "neighborhood": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "city": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "state_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "state_code": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "county": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "postal_code": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "country_code": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "country_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "coordinates": {
                        "type": [
                          "object",
                          "null"
                        ],
                        "properties": {
                          "lat": {
                            "type": "number"
                          },
                          "lon": {
                            "type": "number"
                          }
                        },
                        "required": [
                          "lat",
                          "lon"
                        ]
                      },
                      "timezone": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "full_address": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "formatted_address": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  },
                  "experiences": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "object",
                      "properties": {
                        "linkedin_company_id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "is_current": {
                          "type": [
                            "boolean",
                            "null"
                          ]
                        },
                        "company_name": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "locality": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "start_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "end_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "summary": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "title": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "seniority": {
                          "type": [
                            "string",
                            "null"
                          ],
                          "enum": [
                            "Entry level",
                            "Director",
                            "Associate",
                            "Mid-Senior level",
                            "Internship",
                            "Executive",
                            null
                          ]
                        },
                        "job_function": {
                          "type": [
                            "array",
                            "null"
                          ],
                          "items": {
                            "type": "string",
                            "enum": [
                              "Arts and Design",
                              "Business Development",
                              "Community & Social Services",
                              "Consulting",
                              "Education",
                              "Engineering",
                              "Entrepreneurship",
                              "Healthcare Services",
                              "Human Resources",
                              "Information Technology",
                              "Legal",
                              "Military & Protective Services",
                              "Operations",
                              "Program & Product Management",
                              "Real Estate",
                              "Sales",
                              "Support",
                              "Administrative",
                              "Finance",
                              "Marketing",
                              "Purchasing",
                              "Product Management",
                              "Advertising",
                              "Analyst",
                              "Customer Service",
                              "Distribution",
                              "Design",
                              "General Business",
                              "Management",
                              "Manufacturing",
                              "Other",
                              "Public Relations",
                              "Project Management",
                              "Production",
                              "Quality Assurance",
                              "Research",
                              "Science",
                              "Supply Chain",
                              "Training",
                              "Health Care Provider",
                              "Accounting",
                              "Art / Creative",
                              "Strategy / Planning",
                              "Writing / Editing"
                            ]
                          }
                        },
                        "employment_type": {
                          "type": [
                            "array",
                            "null"
                          ],
                          "items": {
                            "type": "string",
                            "enum": [
                              "Full-time",
                              "Temporary",
                              "Internship",
                              "Contract",
                              "Part-time",
                              "Volunteer",
                              "Other"
                            ]
                          }
                        },
                        "academic_qualification": {
                          "type": [
                            "array",
                            "null"
                          ],
                          "items": {
                            "type": "string",
                            "enum": [
                              "High School",
                              "Associate Degree",
                              "Bachelor Degree"
                            ]
                          }
                        },
                        "company_start_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "company_end_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    }
                  },
                  "education": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {
                      "type": "object",
                      "properties": {
                        "school_id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "school_name": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "field_of_study_id": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "field_of_study_name": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "degree": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "grade": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "start_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "end_date": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "activities": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "notes": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      }
                    }
                  },
                  "current_job": {
                    "type": [
                      "object",
                      "null"
                    ],
                    "properties": {
                      "linkedin_company_id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "is_current": {
                        "type": [
                          "boolean",
                          "null"
                        ]
                      },
                      "company_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "locality": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "start_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "end_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "summary": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "title": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "seniority": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "enum": [
                          "Entry level",
                          "Director",
                          "Associate",
                          "Mid-Senior level",
                          "Internship",
                          "Executive",
                          null
                        ]
                      },
                      "job_function": {
                        "type": [
                          "array",
                          "null"
                        ],
                        "items": {
                          "type": "string",
                          "enum": [
                            "Arts and Design",
                            "Business Development",
                            "Community & Social Services",
                            "Consulting",
                            "Education",
                            "Engineering",
                            "Entrepreneurship",
                            "Healthcare Services",
                            "Human Resources",
                            "Information Technology",
                            "Legal",
                            "Military & Protective Services",
                            "Operations",
                            "Program & Product Management",
                            "Real Estate",
                            "Sales",
                            "Support",
                            "Administrative",
                            "Finance",
                            "Marketing",
                            "Purchasing",
                            "Product Management",
                            "Advertising",
                            "Analyst",
                            "Customer Service",
                            "Distribution",
                            "Design",
                            "General Business",
                            "Management",
                            "Manufacturing",
                            "Other",
                            "Public Relations",
                            "Project Management",
                            "Production",
                            "Quality Assurance",
                            "Research",
                            "Science",
                            "Supply Chain",
                            "Training",
                            "Health Care Provider",
                            "Accounting",
                            "Art / Creative",
                            "Strategy / Planning",
                            "Writing / Editing"
                          ]
                        }
                      },
                      "employment_type": {
                        "type": [
                          "array",
                          "null"
                        ],
                        "items": {
                          "type": "string",
                          "enum": [
                            "Full-time",
                            "Temporary",
                            "Internship",
                            "Contract",
                            "Part-time",
                            "Volunteer",
                            "Other"
                          ]
                        }
                      },
                      "academic_qualification": {
                        "type": [
                          "array",
                          "null"
                        ],
                        "items": {
                          "type": "string",
                          "enum": [
                            "High School",
                            "Associate Degree",
                            "Bachelor Degree"
                          ]
                        }
                      },
                      "company_start_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "company_end_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  },
                  "relevance_score": {
                    "type": [
                      "number",
                      "null"
                    ]
                  },
                  "last_sort_key": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "entity_urn": {
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "detailed_education": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {}
                  },
                  "detailed_work_experiences": {
                    "type": [
                      "array",
                      "null"
                    ],
                    "items": {}
                  }
                },
                "required": [
                  "primary_slug"
                ]
              },
              "stealthCareer": {
                "type": "object",
                "properties": {
                  "enteredStealthAt": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "description": "When we first observed this person in stealth."
                  },
                  "lastConfirmedInStealthAt": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "description": "Most recent date where we confirmed that they were still in stealth."
                  },
                  "leftStealthAt": {
                    "type": [
                      "string",
                      "null"
                    ],
                    "description": "When we first observed this person no longer in stealth. Null if still in stealth."
                  },
                  "daysInStealth": {
                    "type": [
                      "integer",
                      "null"
                    ],
                    "description": "Days spent in stealth. If still in stealth, days from entry to today. If left, days from entry to exit."
                  },
                  "transitions": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "beforeSnapshotDate": {
                          "type": "string",
                          "description": "Older snapshot timestamp in this transition."
                        },
                        "afterSnapshotDate": {
                          "type": "string",
                          "description": "Newer snapshot timestamp in this transition."
                        },
                        "addedCurrentExperiences": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "title": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "companyName": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "startDate": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "endDate": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "isCurrent": {
                                "type": [
                                  "boolean",
                                  "null"
                                ]
                              }
                            }
                          },
                          "description": "Current experiences that appeared in the newer snapshot and were absent in the older snapshot."
                        },
                        "removedCurrentExperiences": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "title": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "companyName": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "startDate": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "endDate": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "isCurrent": {
                                "type": [
                                  "boolean",
                                  "null"
                                ]
                              }
                            }
                          },
                          "description": "Current experiences that existed in the older snapshot and disappeared in the newer snapshot."
                        },
                        "stealthStateChanged": {
                          "type": "boolean",
                          "description": "Whether the person switched stealth state between the two snapshots."
                        }
                      },
                      "required": [
                        "beforeSnapshotDate",
                        "afterSnapshotDate",
                        "addedCurrentExperiences",
                        "removedCurrentExperiences",
                        "stealthStateChanged"
                      ]
                    },
                    "description": "Signals job-listing changes across adjacent snapshots (older -> newer). These changes can provide useful clues while someone is in stealth, such as a role shifting from 'Founder @ Stealth Startup' to a more specific label like 'CTO @ Stealth Fintech Startup'."
                  }
                },
                "required": [
                  "transitions"
                ]
              }
            },
            "required": [
              "profile",
              "stealthCareer"
            ]
          }
        },
        "pagination": {
          "type": "object",
          "properties": {
            "nextCursor": {
              "type": [
                "string",
                "null"
              ],
              "description": "Cursor for the next page. Null means there are no additional pages."
            },
            "hasMore": {
              "type": "boolean",
              "description": "Whether additional pages are available for this query."
            }
          },
          "required": [
            "hasMore"
          ]
        }
      },
      "required": [
        "data",
        "pagination"
      ]
    },
    "chargeInfo": {
      "oneOf": [
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-now"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged"
          ],
          "description": "Credits were charged immediately for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charging-later"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "Credits will be charged after the operation completes"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-for-async-process"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged",
            "message"
          ],
          "description": "Credits that were charged for an asynchronous operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "free"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
[...]
